Summary:        GObject based library for handling and rendering XPS documents
Name:           libgxps
Version:        0.3.2
Release:        3%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/libgxps
Source0:        https://ftp.gnome.org/pub/gnome/sources/%{name}/0.3/%{name}-%{version}.tar.xz

BuildRequires:  meson gcc gtk3-devel glib2-devel gobject-introspection-devel libtiff-devel libxslt
BuildRequires:  cairo-devel libarchive-devel freetype-devel libjpeg-devel lcms2-devel docbook-style-xsl

%description
libgxps is a GObject based library for handling and rendering XPS documents.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%package        tools
Summary:        Command-line utility programs for manipulating XPS files
Requires:       %{name} = %{version}-%{release}

%description    tools
The %{name}-tools contains command-line programs for manipulating XPS format documents using the %{name} library.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson \
    -Denable-gtk-doc=false \
    -Denable-man=true
%meson_build

%install
%meson_install

%files
%license COPYING
%doc AUTHORS MAINTAINERS NEWS README TODO
%{_libdir}/*.so.2
%{_libdir}/*.so.2.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/*.typelib

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/*.gir

%files tools
%{_bindir}/xpsto*
%{_mandir}/man1/xpsto*.1*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Shuo Wang <abushwang@tencent.com> - 0.3.2-1
- initial build

